Subject: [proto-team] Re: WG chair use of the ID-tracker: Proposed tool addition

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 12 Jan 2007 15:22:00 +0100

Hi Keith,

on 2007-01-12 01:14 Drage, Keith (Keith) said the following:
> I have been led to understand that the charter milestones are kept in a
> separate database.
> 
> We have also been encouraged (at least in RAI) to add WGLC dates to the
> charter milestones.
> 
> There would seem to therefore be a need to link the milestone database
> and the ID-tracker tool, rather than create a separate set of events.

Yes, exactly.

	Henrik

> Regards
> 
> Keith 
> 
>> -----Original Message-----
>> From: Henrik Levkowetz [mailto:[email-masked]] 
>> Sent: 10 January 2007 16:30
>> To: Wijnen, Bert (Bert)
>> Cc: Working Group Chairs; [email-masked]
>> Subject: Re: WG chair use of the ID-tracker: Proposed tool addition
>> 
>> Hi Bert,
>> 
>> on 2007-01-10 15:00 Wijnen, Bert (Bert) said the following:
>> > I wwonder if we want/need a WG State annotation tag of
>> >    Dead WG document
>> 
>> That seems to be very similar to Dan Wing's proposed 'Abandoned'.
>> I've added "Dead WG Document" as a state in my working copy.
>> 
>> > That is a document that once was a WG document, but has 
>> been declared 
>> > dead, or no longer on the WG agenda.
>> > 
>> > I also wonder if it is possible (I know it is handy/useful) to have 
>> > the (next) milestone date for each WG document listed.
>> 
>> Mmm.  Good point.  One question: is this best handled by 
>> manual annotation, or could / should it rather be calculated 
>> / deduced from other data (charter, a set of acceptable times 
>> between events,
>> etc.) ?
>> 
>> 
>> 	Henrik
>> 
>> > Bert
>> > 
>> >> -----Original Message-----
>> >> From: Henrik Levkowetz [mailto:[email-masked]]
>> >> Sent: dinsdag 9 januari 2007 16:06
>> >> To: 'Working Group Chairs'
>> >> Cc: [email-masked]
>> >> Subject: WG chair use of the ID-tracker: Proposed tool addition
>> >> 
>> >> Hi,
>> >> 
>> >>    The proto-team document that describes proposed changes to the 
>> >> ID-tracker (https://datatracker.ietf.org/) which makes it possible 
>> >> for WG chairs to use the I-D tracker for managing WG documents has 
>> >> been revised after the feedback from this list (May 2006).
>> >> 
>> >> I've taken out all explicit state transitions; the tracker won't 
>> >> enforce or check the state transitions.  I've also removed 
>> >> sub-states, and instead introduced annotations to capture 
>> such things 
>> >> as documents awaiting review.  Multiple annotations may 
>> exist at the 
>> >> same time.
>> >> 
>> >> As I also mentioned the last time:
>> >> 
>> >> Since these changes and enhancements are explicitly meant for Your 
>> >> Use, Dear Fellow Chairs, it would be very good if you 
>> would read and 
>> >> comment on the document.  Excluding boilerplate etc. the actual 
>> >> content is 6 pages long, so it should be manageable, especially if 
>> >> you check the diffs (see links below).
>> >> 
>> >> The document is available from the internet-drafts repository:
>> >>   
>> >> http://ietf.org/internet-drafts/draft-ietf-proto-wgchair-track
>> > er-ext-01.txt
>> >> 
>> >> Diffs between -00 and this version are available here:
>> >>   
>> >> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
>> > r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.diff.html
>> >>   
>> >> http://tools.ietf.org/wg/proto/draft-ietf-proto-wgchair-tracke
>> > r-ext/draft-ietf-proto-wgchair-tracker-ext-01-from-00.wdiff.html
>> >> 
>> >> 
>> >> Please send comments to this list, with Cc: to 
>> [email-masked] .
>> >> 
>> >> 
>> >> Thanks,
>> >> 
>> >> 
>> >> 	Henrik
>> >> 
>> >> 
>> >> 
>> >> 
>> >> 
>> >> 
>> > 
>> 
>> 
> 
> 

_______________________________________________
proto-team mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/proto-team

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Jan 2007 16:49:35 +0100

> and the ID-tracker tool, rather than create a separate set of events.

Well, there is also a theory that we should have an agreed format for
metadata interchange between the various tools and databases. We're
unlikely to ever have only one database, when you consider the IANA
and RFC Editor as part of the overall picture. That's work in progress,
and meanwhile there will be some limits on what we can do within a
single tool.
(But from a systems design view, you're certainly correct.)

     Brian